function myFunction1() {
 document.getElementById('block-1bf').style.cssText = 'display: block';
 document.getElementById('block-10bf').style.cssText = 'display: block';
 document.getElementById('block-2fs').style.cssText = 'display: none';
 document.getElementById('block-3db').style.cssText = 'display: none';
 document.getElementById('block-4t').style.cssText = 'display: none';
 document.getElementById('block-5cc').style.cssText = 'display: none';
 document.getElementById('block-6sv').style.cssText = 'display: none';
 document.getElementById('block-7cb').style.cssText = 'display: none';
 document.getElementById('block-20fs').style.cssText = 'display: none';
 document.getElementById('block-30db').style.cssText = 'display: none';
 document.getElementById('block-40t').style.cssText = 'display: none';
 document.getElementById('block-50cc').style.cssText = 'display: none';
 document.getElementById('block-522cc').style.cssText = 'display: none';
 document.getElementById('block-5022cc').style.cssText = 'display: none';     
 document.getElementById('block-60sv').style.cssText = 'display: none';
 document.getElementById('block-70cb').style.cssText = 'display: none';
 document.getElementById("block1").className = "active one2";
 document.getElementById("block2").className = "two1";
 document.getElementById("block3").className = "three1";
 document.getElementById("block4").className = "four1";
 document.getElementById("block5").className = "five1";
 document.getElementById("block6").className = "six1";
 document.getElementById("block7").className = "seven1"; 
}

function myFunction2() {
 document.getElementById('block-1bf').style.cssText = 'display: none';
 document.getElementById('block-10bf').style.cssText = 'display: none';
 document.getElementById('block-2fs').style.cssText = 'display: block';
 document.getElementById('block-20fs').style.cssText = 'display: block';
 document.getElementById('block-3db').style.cssText = 'display: none';
 document.getElementById('block-4t').style.cssText = 'display: none';
 document.getElementById('block-5cc').style.cssText = 'display: none';
 document.getElementById('block-6sv').style.cssText = 'display: none';
 document.getElementById('block-7cb').style.cssText = 'display: none';
 document.getElementById('block-30db').style.cssText = 'display: none';
 document.getElementById('block-40t').style.cssText = 'display: none';
 document.getElementById('block-50cc').style.cssText = 'display: none';
 document.getElementById('block-522cc').style.cssText = 'display: none';
 document.getElementById('block-5022cc').style.cssText = 'display: none';     
 document.getElementById('block-60sv').style.cssText = 'display: none';
 document.getElementById('block-70cb').style.cssText = 'display: none';
 document.getElementById("block1").className = "one1";
 document.getElementById("block2").className = "active two2";
 document.getElementById("block3").className = "three1";
 document.getElementById("block4").className = "four1";
 document.getElementById("block5").className = "five1";
 document.getElementById("block6").className = "six1";
 document.getElementById("block7").className = "seven1"; 
}

function myFunction3() {
 document.getElementById('block-1bf').style.cssText = 'display: none';
 document.getElementById('block-2fs').style.cssText = 'display: none';
 document.getElementById('block-10bf').style.cssText = 'display: none';
 document.getElementById('block-20fs').style.cssText = 'display: none';
 document.getElementById('block-3db').style.cssText = 'display: block';
 document.getElementById('block-30db').style.cssText = 'display: block';
 document.getElementById('block-4t').style.cssText = 'display: none';
 document.getElementById('block-5cc').style.cssText = 'display: none';
 document.getElementById('block-522cc').style.cssText = 'display: none';
 document.getElementById('block-5022cc').style.cssText = 'display: none';     
 document.getElementById('block-6sv').style.cssText = 'display: none';
 document.getElementById('block-7cb').style.cssText = 'display: none'; 
 document.getElementById('block-40t').style.cssText = 'display: none';
 document.getElementById('block-50cc').style.cssText = 'display: none';
 document.getElementById('block-60sv').style.cssText = 'display: none';
 document.getElementById('block-70cb').style.cssText = 'display: none';
 document.getElementById("block1").className = "one1";
 document.getElementById("block2").className = "two1";
 document.getElementById("block3").className = "active three2";
 document.getElementById("block4").className = "four1";
 document.getElementById("block5").className = "five1";
 document.getElementById("block6").className = "six1";
 document.getElementById("block7").className = "seven1"; 
}

function myFunction4() {
 document.getElementById('block-1bf').style.cssText = 'display: none';
 document.getElementById('block-2fs').style.cssText = 'display: none';
 document.getElementById('block-3db').style.cssText = 'display: none';
 document.getElementById('block-10bf').style.cssText = 'display: none';
 document.getElementById('block-20fs').style.cssText = 'display: none';
 document.getElementById('block-30db').style.cssText = 'display: none';
 document.getElementById('block-4t').style.cssText = 'display: block';
 document.getElementById('block-40t').style.cssText = 'display: block';
 document.getElementById('block-5cc').style.cssText = 'display: none';
 document.getElementById('block-522cc').style.cssText = 'display: none';
 document.getElementById('block-5022cc').style.cssText = 'display: none';     
 document.getElementById('block-6sv').style.cssText = 'display: none';
 document.getElementById('block-7cb').style.cssText = 'display: none'; 
 document.getElementById('block-50cc').style.cssText = 'display: none';
 document.getElementById('block-60sv').style.cssText = 'display: none';
 document.getElementById('block-70cb').style.cssText = 'display: none'; 
 document.getElementById("block1").className = "one1";
 document.getElementById("block2").className = "two1";
 document.getElementById("block3").className = "three1";
 document.getElementById("block4").className = "active four2";
 document.getElementById("block5").className = "five1";
 document.getElementById("block6").className = "six1";
 document.getElementById("block7").className = "seven1"; 
}

function myFunction5() {
 document.getElementById('block-1bf').style.cssText = 'display: none';
 document.getElementById('block-2fs').style.cssText = 'display: none';
 document.getElementById('block-3db').style.cssText = 'display: none';
 document.getElementById('block-4t').style.cssText = 'display: none';
 document.getElementById('block-10bf').style.cssText = 'display: none';
 document.getElementById('block-20fs').style.cssText = 'display: none';
 document.getElementById('block-30db').style.cssText = 'display: none';
 document.getElementById('block-40t').style.cssText = 'display: none';
 document.getElementById('block-5cc').style.cssText = 'display: block';
 document.getElementById('block-50cc').style.cssText = 'display: block';
 document.getElementById('block-522cc').style.cssText = 'display: none';
 document.getElementById('block-5022cc').style.cssText = 'display: none';    
 document.getElementById('block-6sv').style.cssText = 'display: none';
 document.getElementById('block-7cb').style.cssText = 'display: none'; 
 document.getElementById('block-60sv').style.cssText = 'display: none';
 document.getElementById('block-70cb').style.cssText = 'display: none'; 
 document.getElementById("block1").className = "one1";
 document.getElementById("block2").className = "two1";
 document.getElementById("block3").className = "three1";
 document.getElementById("block4").className = "four1";
 document.getElementById("block5").className = "active five2";
 document.getElementById("block6").className = "six1";
 document.getElementById("block7").className = "seven1"; 
}

function myFunction55() {
 document.getElementById('block-1bf').style.cssText = 'display: none';
 document.getElementById('block-2fs').style.cssText = 'display: none';
 document.getElementById('block-3db').style.cssText = 'display: none';
 document.getElementById('block-4t').style.cssText = 'display: none';
 document.getElementById('block-10bf').style.cssText = 'display: none';
 document.getElementById('block-20fs').style.cssText = 'display: none';
 document.getElementById('block-30db').style.cssText = 'display: none';
 document.getElementById('block-40t').style.cssText = 'display: none';
 document.getElementById('block-5cc').style.cssText = 'display: none';
 document.getElementById('block-50cc').style.cssText = 'display: none';    
 document.getElementById('block-522cc').style.cssText = 'display: block';
 document.getElementById('block-5022cc').style.cssText = 'display: block';
 document.getElementById('block-6sv').style.cssText = 'display: none';
 document.getElementById('block-7cb').style.cssText = 'display: none'; 
 document.getElementById('block-60sv').style.cssText = 'display: none';
 document.getElementById('block-70cb').style.cssText = 'display: none'; 
 document.getElementById("block1").className = "one1";
 document.getElementById("block2").className = "two1";
 document.getElementById("block3").className = "three1";
 document.getElementById("block4").className = "four1";
 document.getElementById("block5").className = "active five2";
 document.getElementById("block6").className = "six1";
 document.getElementById("block7").className = "seven1"; 
}    

function myFunction6() {
 document.getElementById('block-1bf').style.cssText = 'display: none';
 document.getElementById('block-2fs').style.cssText = 'display: none';
 document.getElementById('block-3db').style.cssText = 'display: none';
 document.getElementById('block-4t').style.cssText = 'display: none';
 document.getElementById('block-5cc').style.cssText = 'display: none';
 document.getElementById('block-10bf').style.cssText = 'display: none';
 document.getElementById('block-20fs').style.cssText = 'display: none';
 document.getElementById('block-30db').style.cssText = 'display: none';
 document.getElementById('block-40t').style.cssText = 'display: none';
 document.getElementById('block-50cc').style.cssText = 'display: none';
 document.getElementById('block-522cc').style.cssText = 'display: none';
 document.getElementById('block-5022cc').style.cssText = 'display: none';     
 document.getElementById('block-6sv').style.cssText = 'display: block';
 document.getElementById('block-60sv').style.cssText = 'display: block';
 document.getElementById('block-7cb').style.cssText = 'display: none'; 
 document.getElementById('block-70cb').style.cssText = 'display: none';
 document.getElementById("block1").className = "one1";
 document.getElementById("block2").className = "two1";
 document.getElementById("block3").className = "three1";
 document.getElementById("block4").className = "four1";
 document.getElementById("block5").className = "five1";
 document.getElementById("block6").className = "active six2";
 document.getElementById("block7").className = "seven1"; 
}

function myFunction7() {
 document.getElementById('block-1bf').style.cssText = 'display: none';
 document.getElementById('block-2fs').style.cssText = 'display: none';
 document.getElementById('block-3db').style.cssText = 'display: none';
 document.getElementById('block-4t').style.cssText = 'display: none';
 document.getElementById('block-5cc').style.cssText = 'display: none';
 document.getElementById('block-6sv').style.cssText = 'display: none';
 document.getElementById('block-10bf').style.cssText = 'display: none';
 document.getElementById('block-20fs').style.cssText = 'display: none';
 document.getElementById('block-30db').style.cssText = 'display: none';
 document.getElementById('block-40t').style.cssText = 'display: none';
 document.getElementById('block-50cc').style.cssText = 'display: none';
 document.getElementById('block-522cc').style.cssText = 'display: none';
 document.getElementById('block-5022cc').style.cssText = 'display: none';     
 document.getElementById('block-60sv').style.cssText = 'display: none';
 document.getElementById('block-7cb').style.cssText = 'display: block'; 
 document.getElementById('block-70cb').style.cssText = 'display: block'; 
 document.getElementById("block1").className = "one1";
 document.getElementById("block2").className = "two1";
 document.getElementById("block3").className = "three1";
 document.getElementById("block4").className = "four1";
 document.getElementById("block5").className = "five1";
 document.getElementById("block6").className = "six1";
 document.getElementById("block7").className = "active seven2"; 
}

//=============================================================================================
 function CameraRaw() {
    var chbox1
    chbox1 = document.getElementById('one');
if (chbox1.checked) {
    document.getElementById('CRW').style.cssText = 'display: block';
    localStorage["CRW"] = "show";
} else {
    document.getElementById('CRW').style.cssText = 'display: none';
    localStorage["CRW"] = "hidden";
}}   


if (localStorage.getItem("CRW") == "hidden" ) { 
    document.getElementById('CRW').style.cssText = 'display: none';
    document.getElementById('one').checked;
} else  {
    document.getElementById('one').checked = 'true';
}
//=============================================================================================


function Tuts() {
    var chbox2
    chbox2 = document.getElementById('two');
if (chbox2.checked) {
    document.getElementById('Tutorials').style.cssText = 'display: block';
    localStorage["Tutorials"] = "show";
} else {
    document.getElementById('Tutorials').style.cssText = 'display: none';
    localStorage["Tutorials"] = "hidden";
}}
//================
if (localStorage.getItem("Tutorials") == "hidden" ) { 
    document.getElementById('Tutorials').style.cssText = 'display: none';
    document.getElementById('two').checked;
} else  {
    document.getElementById('two').checked = 'true';
}


//=============================================================================================


function quickHelp() {
    var chbox3
    chbox3 = document.getElementById('three');
    
if (chbox3.checked) {
    document.getElementById('HELP').style.cssText = 'display: block';
    localStorage["HELP"] = "show";
} else {
    document.getElementById('HELP').style.cssText = 'display: none';
    localStorage["HELP"] = "hidden";
}}    
//================
if (localStorage.getItem("HELP") == "hidden" ) { 
    document.getElementById('HELP').style.cssText = 'display: none';
    document.getElementById('three').checked;
} else  {
    document.getElementById('three').checked = 'true';
}


//=============================================================================================

var HideLike = 1;
if (HideLike == 1) {
document.getElementById('hideLike').style.cssText = 'display: none';
document.getElementById('LIKE').style.cssText = 'display: none';  
localStorage["LIKE"] = "hidden";
}

//================

function icoLike() {
    var chbox4
    chbox4 = document.getElementById('four');

if (chbox4.checked) {
    document.getElementById('LIKE').style.cssText = 'display: block';
    localStorage["LIKE"] = "show";
} else {
    document.getElementById('LIKE').style.cssText = 'display: none';
    localStorage["LIKE"] = "hidden";
}}   

//================

if (localStorage.getItem("LIKE") == "hidden" ) {  
    document.getElementById('LIKE').style.cssText = 'display: none';
    document.getElementById('four').checked;
} else if (localStorage.getItem("LIKE") == "show") {
    document.getElementById('four').checked = 'true';
    document.getElementById('LIKE').style.cssText = 'display: block';
}


//=============================================================================================
function portSwitch() {
    var chbox6;
    
    chbox6 = document.getElementById('six');
    
    if (chbox6.checked) {
    localStorage["six"] = "1";  
    csInterface.evalScript('jsxP2Support()');    
        return 1;
    } else {
    localStorage["six"] = "0";  
    csInterface.evalScript('jsxP3Support()');
        return 0;
    } 
return tCopy;
}



//================
if (localStorage.getItem("six") == "1" ) {  
    document.getElementById('six').checked = 'true';
} else  {
    document.getElementById('six').checked;
}

//=============================================================================================



function putOldNames() {
    var chbox5
    chbox5 = document.getElementById('five');
if (chbox5.checked) {
    localStorage["oldNames"] = true;
    document.getElementById("2b-11").textContent = "2 F-S Gaussian";
    document.getElementById("2b-12").textContent = "2 F-S Median | Surface";
    document.getElementById("2b-20").textContent = "2 F-S Portraiture | A-Mask";
    document.getElementById("2b-14").textContent = "3 F-S Gauss | Surface";
    document.getElementById("2b-15").textContent = "Volume | A";
    document.getElementById("2b-16").textContent = "Texture";
    document.getElementById("2b-17").textContent = "On - Off";
    document.getElementById("2b-18").textContent = "Other";
    document.getElementById("2b-19").textContent = "Method 1";
    document.getElementById("2b-77").textContent = "Method 2";
    document.getElementById("2b-21").textContent = "Method 3";
    document.getElementById("2b-22").textContent = "Method 4 | A";
    document.getElementById("2b-23").textContent = "Selection";
    document.getElementById("2b-25").textContent = "Noise TXT";
    document.getElementById("2b-24").textContent = "Auto-Merge";
    document.getElementById("2b-26").textContent = "Complex";
    document.getElementById("newText1").textContent = "8 and 16 bits (auto-detect)";
    document.getElementById("newText2").textContent = "Select";
    document.getElementById("newText3").textContent = "Texture Boost";
    document.getElementById("newText4").textContent = "Fast Retouch";
    document.getElementById("newText5").textContent = "Additional Options";
    csInterface.evalScript('jsxOldNames()');
    
    
} else {
    localStorage["oldNames"] = false;
    document.getElementById("2b-11").textContent = "2分频 高斯模糊";
    document.getElementById("2b-12").textContent = "2分频 表面模糊|中间值";
    document.getElementById("2b-20").textContent = "2分频 Portraiture磨皮|自动蒙板";
    document.getElementById("2b-14").textContent = "3 分频 高斯模糊";
    document.getElementById("2b-15").textContent = "低频层润饰";
    document.getElementById("2b-16").textContent = "高频层润饰";
    document.getElementById("2b-17").textContent = "开启|关闭";
    document.getElementById("2b-18").textContent = "其他";
    document.getElementById("2b-19").textContent = "方式 1";
    document.getElementById("2b-77").textContent = "方式 2";
    document.getElementById("2b-21").textContent = "方式 3";
    document.getElementById("2b-22").textContent = "方式 4|自动";
    document.getElementById("2b-23").textContent = "选择";
    document.getElementById("2b-25").textContent = "增加噪点";
    document.getElementById("2b-24").textContent = "自动合并";
    document.getElementById("2b-26").textContent = "复杂处理";
    document.getElementById("newText1").textContent = "8/16位分频处理(自动检测)";
    document.getElementById("newText2").textContent = "SELECT";
    document.getElementById("newText3").textContent = "纹理增强";
    document.getElementById("newText4").textContent = "快速润饰";
    document.getElementById("newText5").textContent = "附件选项";
    csInterface.evalScript('jsxDefaultNames()');
}}   
                             
if (localStorage.getItem("oldNames") == "true" ) { 
    document.getElementById('five').checked  = 'true';
    
    document.getElementById("2b-11").textContent = "2 F-S Gaussian";
    document.getElementById("2b-12").textContent = "2 F-S Median | Surface";
    document.getElementById("2b-20").textContent = "2 F-S Portraiture | A-Mask";
    document.getElementById("2b-14").textContent = "3 F-S Gauss | Surface";
    document.getElementById("2b-15").textContent = "Volume | A";
    document.getElementById("2b-16").textContent = "Texture";
    document.getElementById("2b-17").textContent = "On - Off";
    document.getElementById("2b-18").textContent = "Other";
    document.getElementById("2b-19").textContent = "Method 1";
    document.getElementById("2b-77").textContent = "Method 2";
    document.getElementById("2b-21").textContent = "Method 3";
    document.getElementById("2b-22").textContent = "Method 4 | A";
    document.getElementById("2b-23").textContent = "Selection";
    document.getElementById("2b-25").textContent = "Noise TXT";
    document.getElementById("2b-24").textContent = "Auto-Merge";
    document.getElementById("2b-26").textContent = "Complex";
    document.getElementById("newText1").textContent = "8 and 16 bits (auto-detect)";
    document.getElementById("newText2").textContent = "Select";
    document.getElementById("newText3").textContent = "Texture Boost";
    document.getElementById("newText4").textContent = "Fast Retouch";
    document.getElementById("newText5").textContent = "Additional Options";
    

    
}  else {
    document.getElementById('one').checked;
    
}                            
     

//=============================================================================================


